mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Globalization.Calendar System.Runtime.InteropServices.ComVisible(true)

The Hijri calendar recognizes one era: A.H. (Latin "Anno Hegirae", which means "the year of the migration," in reference to the migration of Muhammad (PBUH) from Mecca).

For information about using the class and the other calendar classes in the .NET Framework, see Working with Calendars.

In every 30-year cycle that ends with a year that is evenly divisible by 30, the 2nd, 5th, 7th, 10th, 13th, 16th, 18th, 21st, 24th, 26th, and 29th years are leap years. A common year has 354 days and a leap year has 355 days.

The Hijri calendar has 12 months with 29 to 30 days each:

GetMonth value

Month

Days in common years

Days in leap years

1

محرم (Muharram)

30

30

2

صفر (Safar)

29

29

3

‏ربيع الاول (Rabi I)

30

30

4

‏ربيع الثاني (Rabi II)

29

29

5

جمادى الاولى (Jumada I)

30

30

6

جمادى الثانية (Jumada II)

29

29

7

رجب (Rajab)

30

30

8

شعبان (Shaban)

29

29

9

رمضان (Ramadan)

30

30

10

شوال (Shawwal)

29

29

11

ذو القعدة (Zulkadah)

30

30

12

ذو الحجة (Zulhijjah)

29

30

Ramadan, the month of fasting in the Muslim world, officially starts and ends according to a decree that is based on the observation of the new moon. Therefore, the number of days in Shaban and the number of days in Ramadan vary.

The date January 1, 2001 A.D. in the Gregorian calendar is roughly equivalent to the sixth day of Shawwal in the year 1421 A.H. in the Hijri calendar.

This implementation of the class adjusts the calendar date by adding or subtracting a value from zero to two days to accommodate the variances in the start and the end of Ramadan and to accommodate the date difference between countries/regions. That value is stored in the property. If is not set explicitly, it derives its value from the settings in the regional and language options portion of Control Panel and is stored in the registry value HKEY_CURRENT_USER\Control Panel\International\AddHijriDate. However, that information can change during the life of the . The class does not detect changes in the system settings automatically.

Each supports a set of calendars. The property returns the default calendar for the culture, and the property returns an array containing all the calendars supported by the culture. To change the calendar used by a , the application should set the property of to a new .

Represents the Hijri calendar.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime `` ``

  The day part of the resulting is affected if the resulting day is not a valid day in the resulting month of the resulting year. It is changed to the last valid day in the resulting month of the resulting year. The year part of the resulting is affected if the resulting month is outside the year of the specified . This implementation supports only the current era. Therefore, is thrown if the resulting year is outside the era of the specified . The time-of-day part of the resulting remains the same as the specified .

  For example, if the specified month is Zulkadah, which has 30 days, the specified day is the 30th day of that month, and the value of the parameter is 3, the resulting year is one more than the specified year, the resulting month is Safar, and the resulting day is the 29th day, which is the last day in Safar.

  If the value of the parameter is negative, the resulting is earlier than the specified .

  The property of the returned value always equals . You can preserve the property of the parameter by calling the method, as the following example shows.

  code reference: System.Globalization.Calendar.AddMethods#5

  Returns a that is the specified number of months away from the specified .

  The that results from adding the specified number of months to the specified .

  The to add months to. The number of months to add.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime `` ``

  The day part of the resulting is affected if the resulting day is not a valid day in the resulting month of the resulting year. It is changed to the last valid day in the resulting month of the resulting year. The month part of the resulting remains the same as the specified . This implementation supports only the current era. Therefore, is thrown if the resulting year is outside the era of the specified . The time-of-day part of the resulting remains the same as the specified .

  For example, Zulhijjah has 29 days, except during leap years when it has 30 days. If the specified date is the 30th day of Zulhijjah in a leap year and the value of is 1, the resulting date will be the 29th day of Zulhijjah in the following year.

  If is negative, the resulting is earlier than the specified .

  The property of the returned value always equals . You can preserve the property of the parameter by calling the method, as the following example shows.

  code reference: System.Globalization.Calendar.AddMethods#8

  Returns a that is the specified number of years away from the specified .

  The that results from adding the specified number of years to the specified .

  The to add years to. The number of years to add.
- Property
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Globalization.CalendarAlgorithmType To be added. To be added.

  Gets a value that indicates whether the current calendar is solar-based, lunar-based, or a combination of both.

- Property
  4.0.0.0
  System.Int32 To be added.

  This property returns a constant value of 354.

  Gets the number of days in the year that precedes the year that is specified by the property.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32[] To be added.

  The Hijri calendar recognizes one era: A.H. (Latin "Anno Hegirae", which means "the year of the migration," in reference to the migration of Muhammad (PBUH) from Mecca). This property always returns an array with only one element.

  Gets the list of eras in the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  Returns the day of the month in the specified .

  An integer from 1 to 30 that represents the day of the month in the specified .

  The to read.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DayOfWeek ``

  The values are as follows:

  DayOfWeek value

  which indicates

  Sunday

  الاحد (Al-Ahad)

  Monday

  الاثنين (Al-Ithnayn)

  Tuesday

  الثلاثاء (At-Thulaathaa')

  Wednesday

  الاربعاء (Al-Arbi'aa')

  Thursday

  الخميس (Al-Khamiis)

  Friday

  الجمعة (Al-Jumu'ah)

  Saturday

  السبت (As-Sabt)

  Returns the day of the week in the specified .

  A value that represents the day of the week in the specified .

  The to read.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  The day of the year is defined as the number of days from the first day of the year. For example, for the first day of the first month returns 1, and for the last day of the last month returns the total number of days in that year, which is the same value returned by .

  Returns the day of the year in the specified .

  An integer from 1 to 355 that represents the day of the year in the specified .

  The to read.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` ``

  For example, this method returns 29 or 30 for Zulhijjah ( = 12), depending on whether is a leap year.

  Returns the number of days in the specified month of the specified year and era.

  The number of days in the specified month in the specified year in the specified era.

  An integer that represents the year. An integer from 1 to 12 that represents the month. An integer that represents the era.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` To be added.

  Returns the number of days in the specified year and era.

  The number of days in the specified year and era. The number of days is 354 in a common year or 355 in a leap year.

  An integer that represents the year. An integer that represents the era.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  The Hijri calendar recognizes one era: A.H. (Latin "Anno Hegirae", which means "the year of the migration," in reference to the migration of Muhammad (PBUH) from Mecca).

  Returns the era in the specified .

  An integer that represents the era in the specified .

  The to read.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Int32 `` ``

  In a calendar that supports the notion of a leap month, the leap month can occur either after a particular month or after any month in a year. For example, the method returns a number between 1 and 13 that indicates the month associated with a specified date. If there is a leap month between the eighth and ninth months of the year, the method returns 8 for the eighth month, 9 for the leap eighth month, and 10 for the ninth month.

  Calculates the leap month for a specified year and era.

  Always 0 because the type does not support the notion of a leap month.

  A year. An era. Specify or .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  Returns the month in the specified .

  An integer from 1 to 12 that represents the month in the specified .

  The to read.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` To be added.

  Returns the number of months in the specified year and era.

  The number of months in the specified year and era.

  An integer that represents the year. An integer that represents the era.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  Returns the year in the specified .

  An integer that represents the year in the specified .

  The to read.
- Property
  1.0.5000.0
  4.0.0.0
  System.Int32 To be added.

  This implementation of the class adjusts the calendar date by adding or subtracting a value from zero to two days to accommodate the variances in the start and the end of Ramadan and to accommodate the date difference between countries/regions. That value is stored in the property. If is not set explicitly, it derives its value from the settings in the regional and language options portion of Control Panel and is stored in the registry value HKEY_CURRENT_USER\Control Panel\International\AddHijriDate. However, that information can change during the life of the . The class does not detect changes in the system settings automatically.

  Gets or sets the number of days to add or subtract from the calendar to accommodate the variances in the start and the end of Ramadan and to accommodate the date difference between countries/regions.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 1

  The value of the field is 1.

  The Hijri calendar recognizes one era: A.H. (Latin "Anno Hegirae", which means "the year of the migration," in reference to the migration of Muhammad (PBUH) from Mecca).

  Represents the current era. This field is constant.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` ``

  In every 30-year cycle that ends with a year that is evenly divisible by 30, the 2nd, 5th, 7th, 10th, 13th, 16th, 18th, 21st, 24th, 26th, and 29th years are leap years. A common year has 354 days and a leap year has 355 days.

  A leap day is a day that occurs only in a leap year. In the Hijri calendar, the 30th day of Zulhijjah is the only leap day.

  Determines whether the specified date is a leap day.

  true if the specified day is a leap day; otherwise, false.

  An integer that represents the year. An integer from 1 to 12 that represents the month. An integer from 1 to 30 that represents the day. An integer that represents the era.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` ``

  In every 30-year cycle that ends with a year that is evenly divisible by 30, the 2nd, 5th, 7th, 10th, 13th, 16th, 18th, 21st, 24th, 26th, and 29th years are leap years. A common year has 354 days and a leap year has 355 days.

  A leap month is an entire month that occurs only in a leap year. The Hijri calendar does not have any leap months.

  Determines whether the specified month in the specified year and era is a leap month.

  This method always returns false.

  An integer that represents the year. An integer from 1 to 12 that represents the month. An integer that represents the era.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  In every 30-year cycle that ends with a year that is evenly divisible by 30, the 2nd, 5th, 7th, 10th, 13th, 16th, 18th, 21st, 24th, 26th, and 29th years are leap years. A common year has 354 days and a leap year has 355 days.

  Determines whether the specified year in the specified era is a leap year.

  true if the specified year is a leap year; otherwise, false.

  An integer that represents the year. An integer that represents the era.
- Property
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.DateTime To be added.

  December 31, 9999 C.E. is equivalent to the 3rd day of the 4th month of the year 9666 in the Hijri calendar.

  Gets the latest date and time supported by this calendar.

- Property
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.DateTime To be added.

  Microsoft Visual Basic represents time of day as the specified time on the minimum date supported by the type, which is January 1, 0001 C.E. However, the type does not support that minimum date. Consequently, if you call a method to format the time of day using the current calendar but you do not specify a format specifier, formatting uses the ISO 8601 sortable ("s") date/time pattern format specifier instead of the default general ("G") date/time pattern format specifier. For more information, see Standard DateTime Format Strings.

  Gets the earliest date and time supported by this calendar.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime `` `` `` `` `` `` `` `` To be added.

  Returns a that is set to the specified date, time, and era.

  The that is set to the specified date and time in the current era.

  An integer that represents the year. An integer from 1 to 12 that represents the month. An integer from 1 to 30 that represents the day. An integer from 0 to 23 that represents the hour. An integer from 0 to 59 that represents the minute. An integer from 0 to 59 that represents the second. An integer from 0 to 999 that represents the millisecond. An integer that represents the era.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  is the last year in the 100-year range that can be represented by a two-digit year. The century is determined by finding the sole occurrence of the two-digit within that 100-year range. For example, if is set to 1429, the 100-year range is from 1330 to 1429; therefore, a 2-digit value of 30 is interpreted as 1330, while a 2-digit value of 29 is interpreted as 1429.

  supports either a two-digit year or a four-digit year. Passing a two-digit year value (less than 100) causes the method to convert the value to a four-digit value according to the value representing the appropriate century. If the application supplies a four-digit year value that is within the supported calendar range to , the method returns the actual input value. If the application supplies a four-digit value that is outside the supported calendar range, or if it supplies a negative value, the method throws an exception.

  Converts the specified year to a four-digit year by using the property to determine the appropriate century.

  An integer that contains the four-digit representation of .

  A two-digit or four-digit integer that represents the year to convert.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  This property allows a 2-digit year to be properly translated to a 4-digit year. For example, if this property is set to 1429, the 100-year range is from 1330 to 1429. Therefore, a 2-digit value of 30 is interpreted as 1330, while a 2-digit value of 29 is interpreted as 1429.

  The initial value of this property is derived from the settings in the regional and language options portion of Control Panel. However, that information can change during the life of the . The class does not detect changes in the system settings automatically.

  The application should set this value to 99 to indicate that 2-digit years are to be taken literally. For example, if this property is set to 99, the 100-year range is from 0 (not a valid value for most calendars) to 99. Therefore, a 2-digit value of 30 is interpreted as 30.

  Gets or sets the last year of a 100-year range that can be represented by a 2-digit year.